package com.fs.live.service;


import com.fs.live.domain.LiveUserFirstEntry;
import com.fs.live.vo.LiveUserFirstProfit;

import java.util.List;

/**
 * 用户每日首次进入直播间记录Service接口
 *
 * @author fs
 * @date 2025-09-04
 */
public interface ILiveUserFirstEntryService {
    /**
     * 查询用户每日首次进入直播间记录
     *
     * @param id 用户每日首次进入直播间记录主键
     * @return 用户每日首次进入直播间记录
     */
    LiveUserFirstEntry selectLiveUserFirstEntryById(Long id);

    /**
     * 查询用户每日首次进入直播间记录列表
     *
     * @param liveUserFirstEntry 用户每日首次进入直播间记录
     * @return 用户每日首次进入直播间记录集合
     */
    List<LiveUserFirstEntry> selectLiveUserFirstEntryList(LiveUserFirstEntry liveUserFirstEntry);

    /**
     * 新增用户每日首次进入直播间记录
     *
     * @param liveUserFirstEntry 用户每日首次进入直播间记录
     * @return 结果
     */
    int insertLiveUserFirstEntry(LiveUserFirstEntry liveUserFirstEntry);

    /**
     * 修改用户每日首次进入直播间记录
     *
     * @param liveUserFirstEntry 用户每日首次进入直播间记录
     * @return 结果
     */
    int updateLiveUserFirstEntry(LiveUserFirstEntry liveUserFirstEntry);

    /**
     * 批量删除用户每日首次进入直播间记录
     *
     * @param ids 需要删除的用户每日首次进入直播间记录主键集合
     * @return 结果
     */
    int deleteLiveUserFirstEntryByIds(Long[] ids);

    /**
     * 删除用户每日首次进入直播间记录信息
     *
     * @param id 用户每日首次进入直播间记录主键
     * @return 结果
     */
    int deleteLiveUserFirstEntryById(Long id);

    int selectTodayEntry(long userId);

    List<LiveUserFirstProfit> selectLiveProfitList();

    LiveUserFirstEntry selectEntityByLiveIdUserId(long liveId, long userId);

    /**
     * 查询用户首次进入直播间记录（带Redis缓存）
     * @param liveId 直播间ID
     * @param userId 用户ID
     * @return 用户首次进入直播间记录
     */
    LiveUserFirstEntry selectEntityByLiveIdUserIdWithCache(long liveId, long userId);
}
